Description

Security headers are not Implemented

observation : Repeated

CWE : CWE-16

Description :

Modern browsers support many HTTP headers that can improve web application
security to protect against clickjacking, cross-site scripting, and other common attacks.
Affected Path(s) :

/(WebServer)

Impact :

Client side attacks like clickjacking, XSS, history hijacking, etc may be possible if
security headers are missing in the response headers.

Evidence/Proof Of Concept :

Step 1: It was observed that Security Headers are not implemented in the Application as
shown below screenshot.
Recommendation :

It is recommended to implement following security headers with the values required for
the application. Sample configuration:

X-Content-Type-Options: nosniff

X-XSS-Protection: 1; mode=block

X-Frame-Options: deny

Content-Security-Policy: default-src 'self'

Strict-Transport-Security: max-age=63072000; includeSubDomains;

preload

Subtasks:
Feature # 379: [Security Audit Round 2 ] Security headers are not Implemented login screen

Resolved

History

#1 - 03/05/2024 04:16 AM - Harish Beechani

- Status changed from New to In Progress

#2 - 03/05/2024 04:17 AM - Harish Beechani

- Assignee set to Vasudev Mamidi

#3 - 03/05/2024 04:18 AM - Harish Beechani

- Status changed from In Progress to Resolved

#4 - 03/05/2024 05:23 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#5 - 03/05/2024 05:27 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#6 - 03/05/2024 05:49 AM - Harish Beechani
- Assignee changed from Vasudev Mamidi to Harish Beechani

#7 - 08/05/2024 02:10 AM - Uma Maheswarachari Melpati
- Subtask #379 added

#8 - 10/05/2024 07:20 AM - Harish Beechani
- Status changed from Resolved to Ready for Prod
